---
http:
  middlewares:
    secure-headers:
      headers:
        customResponseHeaders:
          Strict-Transport-Security: max-age=31536000; includeSubDomains; preload
          Permissions-Policy: microphone=()
          Referrer-Policy: same-origin
          X-Content-Type-Options: nosniff
          X-XSS-Protection: 1; mode=block
          X-Powered-By: ""
          Server: ""
          X-Permitted-Cross-Domain-Policies: none
          X-Download-Options: ""
          X-Frame-Options: SAMEORIGIN

tls:
  options:
    default:
      minVersion: VersionTLS12
      cipherSuites:
        - TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384
        - TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
        - TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256
        - TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
      sniStrict: true
